<?php
use wcf\system\WCF;

/**
 * @author	Sascha Greuel <sascha@softcreatr.de>
 * @copyright	2013-2014 Sascha Greuel
 * @license	Creative Commons Attribution-NoDerivatives <http://creativecommons.org/licenses/by-nd/4.0/legalcode>
 */
$package = $this->installation->getPackage();

// files to delete
$files = array(
	'lib/form/TermsOfUseAgreeForm.class.php',
	'lib/page/TermsOfUsePage.class.php'
);

// templates to delete
$templates = array(
	'templates/termsOfUseAgree.tpl',
	'templates/termsOfUseList.tpl',
	'templates/termsOfUseShow.tpl',
	'templates/termsOfUseSidebar.tpl'
);

// delete files
foreach($files as $file) {
	@unlink(WCF_DIR . $file);

	// remove from DB
	$sql = "DELETE FROM	wcf".WCF_N."_package_installation_file_log
		WHERE	filename = ?
			AND application = ?
			AND packageID = ?";
	$statement = WCF::getDB()->prepareStatement($sql);
	$statement->execute(array(
		$file,
		'wcf',
		$package->packageID
	));
}

// delete templates
foreach($templates as $template) {
	@unlink(WCF_DIR . $template);

	// remove from DB
	$sql = "DELETE FROM	wcf".WCF_N."_template
		WHERE	templateName = ?
			AND application = ?
			AND packageID = ?";
	$statement = WCF::getDB()->prepareStatement($sql);
	$statement->execute(array(
		substr(basename($template), 0, -4),
		'wcf',
		$package->packageID
	));
}